org.apache.ode.store

## Class ProcessConfImpl

- java.lang.Object
- - org.apache.ode.store.ProcessConfImpl

- All Implemented Interfaces:
    ProcessConf

      public class ProcessConfImpl
      extends java.lang.Object
      implements ProcessConf

  Implementation of the `ProcessConf` interface. Provides configuration information for a process. Note that this class should be immutable, that is the engine expects it to return consistent results!

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.iapi.ProcessConf

      `ProcessConf.CLEANUP_CATEGORY, ProcessConf.CleanupInfo, ProcessConf.CronJob, ProcessConf.PartnerRoleConfig`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URI` | `getBaseURI()` Get the base URL for resolving resources.
    `java.lang.String` | `getBpelDocument()` Get the path of the BPEL document, relative to its deployment unit
    `long` | `getCBPFileSize()` Get the CBP file size.
    `java.io.InputStream` | `getCBPInputStream()` Get the CBP stream.
    `java.util.Set<ProcessConf.CLEANUP_CATEGORY>` | `getCleanupCategories(boolean instanceSucceeded)`
    `java.util.List<ProcessConf.CronJob>` | `getCronJobs()`
    `javax.wsdl.Definition` | `getDefinitionForPortType(javax.xml.namespace.QName portTypeName)` Gets the WSDL definition used in a process into which a PortType is defined.
    `javax.wsdl.Definition` | `getDefinitionForService(javax.xml.namespace.QName serviceName)` Gets the WSDL definition used in a process into which a service is defined.
    `java.util.Date` | `getDeployDate()` Get the date of deployment.
    `java.lang.String` | `getDeployer()` Get the userid of the deployer.
    `java.util.Map<java.lang.String,java.lang.String>` | `getEndpointProperties(EndpointReference epr)`
    `java.util.List<org.w3c.dom.Element>` | `getExtensionElement(javax.xml.namespace.QName qname)` Generic facility to get additional stuff out of the process descriptor.
    `java.util.List<java.io.File>` | `getFiles()` Get the files associated with the deployment.
    `java.util.Map<java.lang.String,Endpoint>` | `getInvokeEndpoints()` Gets the list of endpoints a process invokes.
    `java.util.List<java.lang.String>` | `getMexInterceptors(javax.xml.namespace.QName processId)`
    `java.lang.String` | `getPackage()` Gets the name of the package into which the process is deployed.
    `java.util.Map<java.lang.String,ProcessConf.PartnerRoleConfig>` | `getPartnerRoleConfig()` Returns failure handling info for invokes.
    `javax.xml.namespace.QName` | `getProcessId()` Get the process id, generally the same as the type.
    `java.util.Map<javax.xml.namespace.QName,org.w3c.dom.Node>` | `getProcessProperties()` Get the process properties.
    `java.util.Map<java.lang.String,Endpoint>` | `getProvideEndpoints()` Gets the list of endpoints a process should provide.
    `ProcessState` | `getState()` Get the state of the process.
    `javax.xml.namespace.QName` | `getType()` Get the process type (BPEL definition name).
    `long` | `getVersion()` Get the process version.
    `boolean` | `isCleanupCategoryEnabled(boolean instanceSucceeded, ProcessConf.CLEANUP_CATEGORY category)`
    `boolean` | `isEventEnabled(java.util.List<java.lang.String> scopeNames, BpelEvent.TYPE type)`
    `boolean` | `isSharedService(javax.xml.namespace.QName serviceName)` Tells if the service is shareable
    `boolean` | `isTransient()` Is this a transient process? Transient processes are not persisted in the store.
    `void` | `setTransient(boolean t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDeployDate

          public java.util.Date getDeployDate()

      Description copied from interface: `ProcessConf`
      Get the date of deployment.
      Specified by:
        `getDeployDate` in interface `ProcessConf`
      Returns:

    - #### getDeployer

          public java.lang.String getDeployer()

      Description copied from interface: `ProcessConf`
      Get the userid of the deployer.
      Specified by:
        `getDeployer` in interface `ProcessConf`
      Returns:

    - #### getFiles

          public java.util.List<java.io.File> getFiles()

      Description copied from interface: `ProcessConf`
      Get the files associated with the deployment.
      Specified by:
        `getFiles` in interface `ProcessConf`
      Returns:

    - #### getProcessId

          public javax.xml.namespace.QName getProcessId()

      Description copied from interface: `ProcessConf`
      Get the process id, generally the same as the type.
      Specified by:
        `getProcessId` in interface `ProcessConf`
      Returns:
        process id.

    - #### getType

          public javax.xml.namespace.QName getType()

      Description copied from interface: `ProcessConf`
      Get the process type (BPEL definition name).
      Specified by:
        `getType` in interface `ProcessConf`
      Returns:

    - #### getPackage

          public java.lang.String getPackage()

      Description copied from interface: `ProcessConf`
      Gets the name of the package into which the process is deployed.
      Specified by:
        `getPackage` in interface `ProcessConf`
      Returns:
        package name

    - #### getProcessProperties

          public java.util.Map<javax.xml.namespace.QName,org.w3c.dom.Node> getProcessProperties()

      Description copied from interface: `ProcessConf`
      Get the process properties.
      Specified by:
        `getProcessProperties` in interface `ProcessConf`
      Returns:

    - #### getVersion

          public long getVersion()

      Description copied from interface: `ProcessConf`
      Get the process version.
      Specified by:
        `getVersion` in interface `ProcessConf`
      Returns:
        version

    - #### getCBPInputStream

          public java.io.InputStream getCBPInputStream()

      Description copied from interface: `ProcessConf`
      Get the CBP stream.
      Specified by:
        `getCBPInputStream` in interface `ProcessConf`
      Returns:
        new stream to the CBP file.

    - #### getCBPFileSize

          public long getCBPFileSize()

      Description copied from interface: `ProcessConf`
      Get the CBP file size.
      Specified by:
        `getCBPFileSize` in interface `ProcessConf`
      Returns:
        size of the CBP file.

    - #### getBpelDocument

          public java.lang.String getBpelDocument()

      Description copied from interface: `ProcessConf`
      Get the path of the BPEL document, relative to its deployment unit
      Specified by:
        `getBpelDocument` in interface `ProcessConf`
      Returns:
        Relative path of BPEL document

    - #### getBaseURI

          public java.net.URI getBaseURI()

      Description copied from interface: `ProcessConf`
      Get the base URL for resolving resources.
      Specified by:
        `getBaseURI` in interface `ProcessConf`

    - #### getState

          public ProcessState getState()

      Description copied from interface: `ProcessConf`
      Get the state of the process.
      Specified by:
        `getState` in interface `ProcessConf`
      Returns:
        process state.

    - #### getMexInterceptors

          public java.util.List<java.lang.String> getMexInterceptors(javax.xml.namespace.QName processId)

    - #### getDefinitionForService

          public javax.wsdl.Definition getDefinitionForService(javax.xml.namespace.QName serviceName)

      Description copied from interface: `ProcessConf`
      Gets the WSDL definition used in a process into which a service is defined.
      Specified by:
        `getDefinitionForService` in interface `ProcessConf`
      Returns:
        definition

    - #### getDefinitionForPortType

          public javax.wsdl.Definition getDefinitionForPortType(javax.xml.namespace.QName portTypeName)

      Description copied from interface: `ProcessConf`
      Gets the WSDL definition used in a process into which a PortType is defined.
      Specified by:
        `getDefinitionForPortType` in interface `ProcessConf`
      Returns:
        definition

    - #### getInvokeEndpoints

          public java.util.Map<java.lang.String,Endpoint> getInvokeEndpoints()

      Description copied from interface: `ProcessConf`
      Gets the list of endpoints a process invokes.
      Specified by:
        `getInvokeEndpoints` in interface `ProcessConf`
      Returns:
        map of partner link names and associated enpoints

    - #### getPartnerRoleConfig

          public java.util.Map<java.lang.String,ProcessConf.PartnerRoleConfig> getPartnerRoleConfig()

      Description copied from interface: `ProcessConf`
      Returns failure handling info for invokes.
      Specified by:
        `getPartnerRoleConfig` in interface `ProcessConf`
      Returns:

    - #### getProvideEndpoints

          public java.util.Map<java.lang.String,Endpoint> getProvideEndpoints()

      Description copied from interface: `ProcessConf`
      Gets the list of endpoints a process should provide.
      Specified by:
        `getProvideEndpoints` in interface `ProcessConf`
      Returns:
        map of partner link names and associated enpoints

    - #### isSharedService

          public boolean isSharedService(javax.xml.namespace.QName serviceName)

      Description copied from interface: `ProcessConf`
      Tells if the service is shareable
      Specified by:
        `isSharedService` in interface `ProcessConf`
      Returns:
        true if the given service can be shared by processes

    - #### isTransient

          public boolean isTransient()

      Description copied from interface: `ProcessConf`
      Is this a transient process? Transient processes are not persisted in the store.
      Specified by:
        `isTransient` in interface `ProcessConf`
      Returns:
        `true` if this is a transient process.

    - #### setTransient

          public void setTransient(boolean t)

    - #### isEventEnabled

          public boolean isEventEnabled(java.util.List<java.lang.String> scopeNames,
                                        BpelEvent.TYPE type)

      Specified by:
        `isEventEnabled` in interface `ProcessConf`

    - #### getExtensionElement

          public java.util.List<org.w3c.dom.Element> getExtensionElement(javax.xml.namespace.QName qname)

      Description copied from interface: `ProcessConf`
      Generic facility to get additional stuff out of the process descriptor.
      Specified by:
        `getExtensionElement` in interface `ProcessConf`
      Parameters:
        `qname` - name of the extension element.
      Returns:
        list of extension elements

    - #### getEndpointProperties

          public java.util.Map<java.lang.String,java.lang.String> getEndpointProperties(EndpointReference epr)

      Specified by:
        `getEndpointProperties` in interface `ProcessConf`

    - #### isCleanupCategoryEnabled

          public boolean isCleanupCategoryEnabled(boolean instanceSucceeded,
                                                  ProcessConf.CLEANUP_CATEGORY category)

      Specified by:
        `isCleanupCategoryEnabled` in interface `ProcessConf`

    - #### getCleanupCategories

          public java.util.Set<ProcessConf.CLEANUP_CATEGORY> getCleanupCategories(boolean instanceSucceeded)

      Specified by:
        `getCleanupCategories` in interface `ProcessConf`

    - #### getCronJobs

          public java.util.List<ProcessConf.CronJob> getCronJobs()

      Specified by:
        `getCronJobs` in interface `ProcessConf`